Image_Upload
POST
/v1/Image
const url = 'https://rms.dev.caspeco.net/api/booking/v1/Image';const options = { method: 'POST', headers: { system: 'example', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"tags":["example"],"cropRatios":[{"id":1,"imageId":1,"left":1,"top":1,"width":1,"height":1,"aspectRatio":"example"}],"blobFolder":0,"file":{"image":"example","imageUrl":"example","imageFilename":"example","imageUploadData":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://rms.dev.caspeco.net/api/booking/v1/Image \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'system: example' \ --data '{ "tags": [ "example" ], "cropRatios": [ { "id": 1, "imageId": 1, "left": 1, "top": 1, "width": 1, "height": 1, "aspectRatio": "example" } ], "blobFolder": 0, "file": { "image": "example", "imageUrl": "example", "imageFilename": "example", "imageUploadData": "example" } }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
tags
Array<string>
cropRatios
Array<object>
object
id
integer format: int64
imageId
integer format: int64
left
number format: double
top
number format: double
width
number format: double
height
number format: double
aspectRatio
string
blobFolder
integer
file
object
image
string
imageUrl
string
imageFilename
string
imageUploadData
string
Responses
Section titled “Responses”Media typeapplication/json
string format: guid
Examplegenerated
example